﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter.ExcelExporter;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DataPresenterExcelExporter exporter = new DataPresenterExcelExporter();
            exporter.ExportStarted += exporter_ExportStarted;
            exporter.Export(xdg, "data.xlsx", Infragistics.Documents.Excel.WorkbookFormat.Excel2007);
            
            Process.Start("data.xlsx");
        }

        void exporter_ExportStarted(object sender, ExportStartedEventArgs e)
        {
            e.DataPresenter.FieldLayouts[0].Fields["email"].Visibility = System.Windows.Visibility.Collapsed;
        }
    }
}
